Subject: [Manycouches] many-fine-dinners --- a view on how to organize virtual meetings

From: Michael Richardson <[email-masked]>
Date: Thu, 05 Nov 2020 18:35:21 -0500

I posted draft-richardson-shmoo-how-many-fine-dinners-01 a few weeks ago, and
had a conversation with Joel Halpern.  He identified that something "seems
wrong" to him, and I had hoped that the -01 diffs would help him track down
the "smell".

He sent these notes, and agreed to let me share them:

Joel M. Halpern <[email-masked]> wrote:
    Joel> I have read the today's version.

    Joel> The following is a bit disconnected, but maybe from ehre we can figure out
    Joel> how to get to a place we are both comfortable with.

    Joel> The goal, as stated in the abstract, makes good sense to me.  I think that
    Joel> the fact that I agree with this is why I was confused when I became
    Joel> uncomfortable with the text later on.

    Joel> I found the review of the last two meetings distracting and unhelpful. I
    Joel> think it invites argument that is irrelevant.  The one reference later in the
    Joel> document to it strikes me as largely unnecessary.

I understand.  I could move that to the end, but it felt like my
recommendations wouldn't make sense without understanding where we've been.

    Joel> I think that the last sentence of 2.1 is actually counter-factual.  I do not
    Joel> see how the meeting conflicts have been a growing issue?  We have, as far as
    Joel> I can tell, been getting better at managing the conflicts and scheduling the
    Joel> sessions.

My experience is that conflicts are up, because we can now schedule many more
sessions efficiently.  We are just doing more work and having more WGs, but
really the number of active people is not increasing that much.

    Joel> 2.2.1 is a place where I have a problem.  I work actively in a fair
    Joel> number of

[2.2.1 Encourage Virtual Interim meetings for ongoing work]

    Joel> working groups (as do you) plus external SDOs.  And I follow quite a few
    Joel> others.  Plus the process stuff.  If most working groups had bi-weekly calls
    Joel> it would be a pain.  If many of them had the calls in the US / Europe prime
    Joel> slot (which Asia can often make), it would be a disaster.  If it recommended
    Joel> monthly, I probably would not argue.  If it recommended monthly for topics
    Joel> that are receiving good email discussion and need more engagement, I could
    Joel> not object.

I did say, "twice-month" (because I never know what bi-monthly is) to
monthly.  I agree that too many meetings is a problem, but then, being unable
to attend WG meetings during IETF week due to conflicts is also a problem.

    Joel> Which relates to something I have been trying for in the WGs I co-chair. If
    Joel> someone wants an interim to discuss some topic, I push for email engagement
    Joel> first.  If we do not see discussion on the list, why should we expect useful
    Joel> discussion at an interim?

The experience of a few people is that it increases the connection within the
group, and effectively creates new deadlines.

    Joel> We then get to the meet[meat] of the document, the bulleted lsit in section 2.2.2.
    Joel> I think this misses a lot of the cases when cross-fertilization is at least
    Joel> useful and maybe necessary.  Now topics become active without any milestone
    Joel> being achieved.  Topics become "of interest" to the broader community at
    Joel> times that have nothing to do with the milestones.  So I find the
    Joel> recommendation that established WGs should not use IETF session time except
    Joel> maybe at milestones to miss most of the important cases I have seen.

Well, I wasn't trying to restrict it to milestones, but rather give an
example of when it would be important to meet.

    Joel> Which relates to my feeling that 2 parallel tracks is simply not
    Joel> enough. Maybe we could make 4 - 6 work.  But 2?  No way it is sufficient.

Fair enough, the document says "two to four"
I see 6 as the same as 8: too many.

    Joel> A tangentially related question is if we hold some meetings face-to-face and
    Joel> some virtual, then maybe the virtual ones could be more lightly scheduled.
    Joel> But that is a much more complex hypothesis.

    Joel> I hope the above at least sheds light on where we can have fruitful
    Joel> discussion of differences of opinion.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Thu, 19 Nov 2020 23:16:47 +0000

Hi Michael,

Nice draft covering many important topics. Thanks for writing it.

On 11/5/20, 3:35 PM, "Manycouches on behalf of Michael Richardson" <[email-masked] on behalf of [email-masked]> wrote:

I found them very useful. You could move them to a running list near the end or even in an appendix, but I fear this will lead to repeating a lot of important information. The current format worked for me.

I think virtual interims are underutilized. Perhaps the formality of scheduling them is the culprit? 

Some additional comments,

Section 1.2, "IETF 108 would be best described as a sprint." 
I would classify IETF 108, and IETF 109, more like a typical IETF meeting attended remotely, which is not a sprint in my mind. You needed to pace yourself for the week, so more like a 10K :)   

Section 2.1, "Heavily conflicted (physical) meeting schedules have been a growing issue ..."

This depends on the type of attendee as well. If focused on a few WGs only, a more comressed agenda is better. For people who like to dive into everything, as is thankfully common with many long time IETFs, the packed agenda results in conflicts and difficulty checking out new things.

Section 2.2.2, "This document suggests that the IETF virtual meeting week be focused on:

I would add the hackathon and put it somewhere in the middle. One concern is that if many WGs are not meeting, fewer people will want to attend the in-person meeting and others will have a harder time to justify it. This would also hurt the Hackathon as the Hackathon alone may not be enough to justify a trip.

Section 2.2.2, "Rather than attempt to compress the schedule ..."
For me, the agenda for IETF 106 worked very well. The side meeting/free timeslot that was added plus breakfast, lunch, and dinner/post dinner were great and sufficient for this, including side meetings/BAR-BOFs, Hackdemo, etc. some of those evenings. Improved stay-for-lunch options would save a great deal of time and help facilitate as well. 

Cheers,
Charles

---

From: Martin Duke <[email-masked]>
Date: Thu, 19 Nov 2020 15:48:22 -0800

Michael,

I read this draft and started formulating a comment to deliver at the mic,
but it got out of hand, so I'll put it in an email instead.

1. I support a draft on this topic but found myself disagreeing with the
conclusions as I understand them. Full disclosure: I am part of the IESG
committee that created the current approach and am therefore more
responsible for the current format than others might be.

2. I take the central thesis to be that there are too many conflicts
because there are too many parallel tracks, and that we should take several
measures to reduce the number of tracks, which would also increase
socializing time in gather.town or whatever. A few thoughts on "too many
conflicts":
(a) The number of tracks (8) is consistent with past in-person meetings,
although of course we're not constrained by that.
(b) The IETF 108 survey results (which I cannot find a public link to)
showed about a 4-1 preference for the IETF 108 format to the 107 format
(which I understand you as advocating a partial return to).
(c) I will assert without evidence that the majority of participants don't
have so many WG interests that they are confronted with widespread
conflicts, and have sessions where they can have side meetings and
unscheduled time in gather. We should actually collect data on this, though!

As to your specific recommendations:
3. *Longer days*: The IESG's consensus is that more than 6 hours of
videoconferencing is tough on the body under any circumstances, especially
when it's the graveyard shift for many people.  Furthermore, I believe that
people have a harder time filtering out their everyday life constraints
when at home, and so a longer day is particularly onerous.

4. *More days*: This would increase the true cost to employers, compared to
an in-person meeting, if it were any more than about 7 working days. I
believe, without any evidence, that holding sessions over the weekend would
be a non-starter for participation.

5. *More interim meetings*: the near-universal interim start time of ~1500
UTC makes a lot of inherently discriminatory assumptions about what time
zones have the most important contributors and what hours are optimal for
any particular time zone. If we were to have regular virtual IETFs without
a canceled location as a timebase, using a random start time would be
better than optimizing for the Atlantic. That said, sometimes WGs enter a
phase where they're in the weeds, tourists are not that helpful, and indeed
entirely theoretical anyway. For these groups, interims are currently
available but I don't think we should be in the business of actively
encouraging interims for the reasons above.

Furthermore, in many ways "have an 11am meeting every day for a month" is
more onerous than just blocking out a week. As the intended purpose of more
interims is to encourage more tourism in meeting week, this amounts to one
busy week followed by 1 month of daily meetings. I found this IETF 107
model to be far more disruptive than the alternatives.

**********

All this said, fewer conflicts are good! To me, the most promising avenue
is shortening sessions and placing restrictions on how many you can
request, a forcing function to reduce status reports and non-interactive
presentations, and instead focus on issues that require live-action
discussion. Of course, one of the big requests we got between 108 and 109
was "longer sessions", so your mileage may vary.

Martin

On Thu, Nov 19, 2020 at 3:16 PM Charles Eckel (eckelcu) <eckelcu=
[email-masked]> wrote:

> On 11/5/20, 3:35 PM, "Manycouches on behalf of Michael Richardson" <
> [email-masked] on behalf of [email-masked]> wrote:
>
>
> I found them very useful. You could move them to a running list near the
> end or even in an appendix, but I fear this will lead to repeating a lot of
> important information. The current format worked for me.
>
> I would classify IETF 108, and IETF 109, more like a typical IETF meeting
> attended remotely, which is not a sprint in my mind. You needed to pace
> yourself for the week, so more like a 10K :)
>
> This depends on the type of attendee as well. If focused on a few WGs
> only, a more comressed agenda is better. For people who like to dive into
> everything, as is thankfully common with many long time IETFs, the packed
> agenda results in conflicts and difficulty checking out new things.
>
> I would add the hackathon and put it somewhere in the middle. One concern
> is that if many WGs are not meeting, fewer people will want to attend the
> in-person meeting and others will have a harder time to justify it. This
> would also hurt the Hackathon as the Hackathon alone may not be enough to
> justify a trip.
>
> For me, the agenda for IETF 106 worked very well. The side meeting/free
> timeslot that was added plus breakfast, lunch, and dinner/post dinner were
> great and sufficient for this, including side meetings/BAR-BOFs, Hackdemo,
> etc. some of those evenings. Improved stay-for-lunch options would save a
> great deal of time and help facilitate as well.
>
> Cheers,
> Charles
>
>     --
> _______________________________________________
> Manycouches mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manycouches
>

---

From: Jay Daley <[email-masked]>
Date: Fri, 20 Nov 2020 12:53:41 +1300

> On 20/11/2020, at 12:48 PM, Martin Duke <[email-masked]> wrote:
> 
> Michael,
> 
> I read this draft and started formulating a comment to deliver at the mic, but it got out of hand, so I'll put it in an email instead.
> 
> 1. I support a draft on this topic but found myself disagreeing with the conclusions as I understand them. Full disclosure: I am part of the IESG committee that created the current approach and am therefore more responsible for the current format than others might be.
> 
> 2. I take the central thesis to be that there are too many conflicts because there are too many parallel tracks, and that we should take several measures to reduce the number of tracks, which would also increase socializing time in gather.town or whatever. A few thoughts on "too many conflicts":
> (a) The number of tracks (8) is consistent with past in-person meetings, although of course we're not constrained by that.

https://www.ietf.org/blog/ietf-108-meeting-survey/

Jay

> showed about a 4-1 preference for the IETF 108 format to the 107 format (which I understand you as advocating a partial return to).
> (c) I will assert without evidence that the majority of participants don't have so many WG interests that they are confronted with widespread conflicts, and have sessions where they can have side meetings and unscheduled time in gather. We should actually collect data on this, though!
> 
> 3. Longer days: The IESG's consensus is that more than 6 hours of videoconferencing is tough on the body under any circumstances, especially when it's the graveyard shift for many people.  Furthermore, I believe that people have a harder time filtering out their everyday life constraints when at home, and so a longer day is particularly onerous.
> 
> 4. More days: This would increase the true cost to employers, compared to an in-person meeting, if it were any more than about 7 working days. I believe, without any evidence, that holding sessions over the weekend would be a non-starter for participation.
> 
> 5. More interim meetings: the near-universal interim start time of ~1500 UTC makes a lot of inherently discriminatory assumptions about what time zones have the most important contributors and what hours are optimal for any particular time zone. If we were to have regular virtual IETFs without a canceled location as a timebase, using a random start time would be better than optimizing for the Atlantic. That said, sometimes WGs enter a phase where they're in the weeds, tourists are not that helpful, and indeed entirely theoretical anyway. For these groups, interims are currently available but I don't think we should be in the business of actively encouraging interims for the reasons above.
> 
> Furthermore, in many ways "have an 11am meeting every day for a month" is more onerous than just blocking out a week. As the intended purpose of more interims is to encourage more tourism in meeting week, this amounts to one busy week followed by 1 month of daily meetings. I found this IETF 107 model to be far more disruptive than the alternatives.
> 
> **********
> 
> All this said, fewer conflicts are good! To me, the most promising avenue is shortening sessions and placing restrictions on how many you can request, a forcing function to reduce status reports and non-interactive presentations, and instead focus on issues that require live-action discussion. Of course, one of the big requests we got between 108 and 109 was "longer sessions", so your mileage may vary.
> 
> Martin
> 
> On Thu, Nov 19, 2020 at 3:16 PM Charles Eckel (eckelcu) <eckelcu=[email-masked] <mailto:[email-masked]>> wrote:
> Hi Michael,
> 
> On 11/5/20, 3:35 PM, "Manycouches on behalf of Michael Richardson" <[email-masked] <mailto:[email-masked]> on behalf of [email-masked] <mailto:[email-masked]>> wrote:
> 
> 
>     Joel M. Halpern <[email-masked] <mailto:[email-masked]>> wrote:
>     Michael Richardson <[email-masked] <mailto:[email-masked]>>   . o O ( IPv6 IøT consulting )
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/manycouches <https://www.ietf.org/mailman/listinfo/manycouches>

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: "Salz, Rich" <[email-masked]>
Date: Fri, 20 Nov 2020 00:26:31 +0000

I was also starting to draft something, but Martin put it very well and I completely agree with his concerns.

---

From: Martin Duke <[email-masked]>
Date: Thu, 19 Nov 2020 19:34:34 -0800

Addendum: we *do* have survey data on how many sessions people attend
(thanks Jay). About 44% attend 5 or fewer, 34% 6-10, and 22% 11 or more.
There are 14 sessions per meeting so a sizeable minority are likely to have
schedule conflicts.

Of course, we don't know how many if those sessions were "I had nothing
better to do" and which would have caused distress if conflicted.

---

From: Michael Richardson <[email-masked]>
Date: Thu, 19 Nov 2020 23:26:00 -0500

ce> I think virtual interims are underutilized. Perhaps the formality of scheduling them is the culprit?

I was initially under the impression that is required AD permission.
That's true for PHYSICAL interims, but for virtual interims, you just push a button.
A number of WGs that I participate in use them: CORE, COSE, CBOR, RATS, ASDF,
ACE, DRIP, ADD.
The CELLAR WG which is co-chaired by Spencer and I, only meets via virtual interims.

There are design team meetings for ANIMA and RATS which are announced to the
list, and attendance is open.  They do not employ slides or speaking queues,
but focus on github issue processing either with a shared web browser tabs or
a shared view of an editor.

There are definitely WGs that could use more virtual interims.
I feel as if some WG chairs are waiting for their corporate or IETF IT department to
come to their desk and setup things for them.

---

From: Michael Richardson <[email-masked]>
Date: Fri, 20 Nov 2020 00:37:37 -0500

Thank you for your comments.
While there are a number of people who attend only 1 WG, aside from so-called
busy-bodies like me, there is also the entire IESG, IAB.

If our meeting structure breaks our management people, then we all lose.

    > when at home, and so a longer day is particularly onerous.

I agree. I am not really proposing longer days.
I am proposing simpler days.

    > be a non-starter for participation.

So I wrote "4-7 days", for two reasons:
  1) because we have 7 day physical meetings, and maybe someone wants to push.
  2) because we might want to pad the actual schedule so that people would
  have some recovery time.  This is consistent with people claiming travel time.

    > encouraging interims for the reasons above.

I don't really understand this paragraph at all.

    > model to be far more disruptive than the alternatives.

I didn't like IETF107 format either, btw.

    > was "longer sessions", so your mileage may vary.

Yes, because people actually need the face time to sort things out.
It's not like we use physical in-person well.

---

From: Michael Richardson <[email-masked]>
Date: Fri, 20 Nov 2020 00:41:05 -0500

> There are 14 sessions per meeting so a sizeable minority are likely to have

I would claim that the deconflicting needs are not equal.

So, let me suggest that if you schedule document authors or WG chairs into
two rooms at the same time, then the 44% who attend 5 or fewer will have a
significantly worse experience.

{I was involved in the previous iteration of the scheduling tool}

---

From: "Salz, Rich" <[email-masked]>
Date: Fri, 20 Nov 2020 05:44:33 +0000

As you probably know, the current scheduling tool has ways to pre-identify such conflicts presumably to avoid them.

---

From: Martin Duke <[email-masked]>
Date: Thu, 19 Nov 2020 22:20:32 -0800

> I don't really understand this paragraph at all.

Alright, I'll try again.

I think you're arguing for fewer meetings in IETF week and more interims.

Interims tend to be scheduled at a time most convenient for the key
participants, which discourages tourism and marginalizes non-key
participants.

There's a time when that's OK, and the interim procedures exist for this
reason.

However, I think the balance today between interim and non-interim is about
right.

---

From: Michael Richardson <[email-masked]>
Date: Sun, 22 Nov 2020 20:31:50 -0500

First, I am not certain what I, or the WG wants to do with this document.
I feel I'm getting feedback as if it was a WG document, suggesting consensus
words.

If the WG wants to adopt this, and find a few co-authors... or maybe even
take it over, that would be good.

Charles Eckel (eckelcu) <[email-masked]> wrote:
    ce> Section 1.2, "IETF 108 would be best described as a sprint."

    ce> I would classify IETF 108, and IETF 109, more like a typical IETF
    ce> meeting attended remotely, which is not a sprint in my mind. You
    ce> needed to pace yourself for the week, so more like a 10K :)

I guess that I feel it was more sprint-like, because there was no time for
lunch, side meetings, etc.  The day was shorter and was much faster paced.

What word would you like to use here?

    ce> Section 2.1, "Heavily conflicted (physical) meeting schedules have been a growing issue ..."

    ce> This depends on the type of attendee as well. If focused on a few WGs
    ce> only, a more comressed agenda is better. For people who like to dive
    ce> into everything, as is thankfully common with many long time IETFs,
    ce> the packed agenda results in conflicts and difficulty checking out
    ce> new things.

This wording, "people who like to dive into everything", feels rather
flippant to me.  You write it as if it's a personal choice.  A whim.
I wonder if the ADs feel this way too.

The IESG likes to make lots of little WGs, which are highly focused.
That means that to do certain things, one has to go to many more WGs than
might previously have been the case.
The charters say that we are supposed to coordinate with other WGs.

    ce> Section 2.2.2, "This document suggests that the IETF virtual meeting week be focused on:

    ce> I would add the hackathon and put it somewhere in the middle. One
    ce> concern is that if many WGs are not meeting, fewer people will want
    ce> to attend the in-person meeting and others will have a harder time to
    ce> justify it. This would also hurt the Hackathon as the Hackathon alone
    ce> may not be enough to justify a trip.

This confuses me rather a lot.  Above, you suggest that many people are
focused on a few WGs.  I guess that means three or four maximum, right?
How do these people justify the trip now?

I am very happy to include significant text about how the Hackathon fits in.
In many ways, I think that the (in-person) Hackathon activity are rather MORE
important than the WG meetings.  I think that Stephen Farrel has said
something similiar.

    ce> Section 2.2.2, "Rather than attempt to compress the schedule ..."
    ce> For me, the agenda for IETF 106 worked very well. The side
    ce> meeting/free timeslot that was added plus breakfast, lunch, and
    ce> dinner/post dinner were great and sufficient for this, including side
    ce> meetings/BAR-BOFs, Hackdemo, etc. some of those evenings. Improved
    ce> stay-for-lunch options would save a great deal of time and help
    ce> facilitate as well.

IETF106 was still too congested for me.  I would also like to free up more
in-person time for side meetings, BAR-BOFs, etc.

---

From: Michael Richardson <[email-masked]>
Date: Sun, 22 Nov 2020 22:47:10 -0500

Michael Richardson <[email-masked]> wrote:
    md> 4. *More days*: This would increase the true cost to employers, compared to
    md> an in-person meeting, if it were any more than about 7 working days. I
    md> believe, without any evidence, that holding sessions over the weekend would
    md> be a non-starter for participation.

    > have some recovery time.  This is consistent with people claiming travel time.

So to followup to myself:   we recently declared that IETF started on
Saturday morning.
We did this, I think, so that people would more easily be able to justify
being at the Hackathon, Tools Sprint, IEPG, training sessions.

As I've written earlier in another thread, among the many other things the
in-person Hackathon does is serve as a bit of an immersive group forcing
function to get people into the right time zone.

I was mostly successful in managing my time zones, but I couldn't stay awake
past 1400UTC (9AM), having gotten up around 2000UTC (3PM) the previous day.
Friday, I knew I was going to be a write-off, and it was.
Maybe I should have found a hotel room.  Saturday was also mostly a write-off.

I'm sure that I'm not the only one who needed recovery time after this "travel"
The question is: how can we, when we write the schedule, make this really
clear to managers?  (many of whom probably didn't notice the "UTC" on the schedule)

---

From: Vittorio Bertola <[email-masked]>
Date: Mon, 23 Nov 2020 12:18:51 +0100 (CET)

> Il 23/11/2020 04:47 Michael Richardson <[email-masked]> ha scritto:
> 

I don't think you can change the perception of the time commitment just by mangling the appearance of the schedule - either the people around you get it, ot they don't.  Unfortunately, for physical meetings in remote locations, everyone understands that travel and jetlag recovery time is necessary, but it's not the same if you stay home and "only" wake up and go to sleep at "weird" times. 

In my case, the IETF meeting happened 6am-noon every day; this involved a very early wakeup, but in no way it would allow me not to work until 6pm as usual (even later if necessary), not to have dinner at home at "regular" times, and so on.  Last Monday, for example, I was booked as a panelist in a session of the U.N. Internet Governance Forum (which was held in parallel in CET) scheduled at 6:20-7:30pm my time.  

So, basically, "remote IETF" just meant up-to-14-hour-long working days, definitely less productive than usual, for a week - and I don't see any easy way to avoid this, except getting back to physical meetings.

-- 
Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked] 
Office @ Via Treviso 12, 10144 Torino, Italy

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 23 Nov 2020 13:23:17 +0000

> Friday, I knew I was going to be a write-off, and it was.

Adding to the anecdata: this meeting's TZ was pretty bad
for me, so after 3 days, I more or less had to take Thu
off, but was ok Fri.

That might suggest that the number of consecutive days
of out-of-TZ meetings is a factor to consider. I don't
have any simple idea of how to handle that, but it's a
difference vs. f2f meetings, and might be impactful if
or when we get back to a partial-f2f/lots-of-remotes
meeting.

S.

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Mon, 23 Nov 2020 21:47:09 +0000

On 11/22/20, 5:32 PM, "Michael Richardson" <[email-masked]> wrote:

I see. In that regard, each day was a sprint, and the meeting was a series of sprints. Compared to a typical agenda for the in-person meetings, "compressed" is the word that comes to mind for me. 

Sorry, I did not intend for it to come across that way. Perhaps describing as "people who are involved in many different areas, including ADs but also including anyone tracking or actively contributing to work items that span many groups within IETF" would have been better.

I understand and agree. When I wrote, "as is thankfully common with many long time IETFs", I was referring to how critical this type of coordination and the people who make it happen are. Though this group may not be the majority, and believe you correctly point out that designing the schedule with them in mind is important.

If I have one draft in one working group, it may be hard to justify traveling to the meeting for that alone. If I can show that I am involved in multiple different places and all of these efforts would benefit from me traveling to participate in person, it is easier to justify. The Hackathon is one more area of potential participation. If I already have a strong case for traveling for the IETF meeting, arriving early enough to participate in the Hackathon is easy to justify and strengthens the overall case. But if I had little or no case for traveling to the meeting because none or few of my working groups were meeting during the in-person meeting, it would be harder to justify traveling for the Hackathon.

Got it.

Cheers,
Charles

---

From: Alexandre Petrescu <[email-masked]>
Date: Tue, 24 Nov 2020 23:36:15 +0100

>> Il 23/11/2020 04:47 Michael Richardson <[email-masked]> ha 
[...]
> and I don't see any easy way to avoid this, except getting back to 
> physical meetings.

I agree and f2f meetings will be back some day.

But I want to mention that, for me, even at f2f IETF meetings I had to
wake up at night or so to keep up remotely with meetings at my origin
place.

Overall, for me, after trying entirely remote experiences and entirely 
f2f experiences, I think the IETF meeting is very consuming.  This 
exhaustion is independent of being remote or f2f.  I need one week 
recovery after the meeting even if it was a virtual meeting.

That is a good point, IMHO, about virtual meetings.  It means, for me, 
that virtual meetings might be as effective as the f2f.  Or at least it 
means that the effort spent is the same.

On another hand, I can say that during the f2f meetings I was doing much 
more exercising than during the virtual meetings.  I did lots of 
additional walking during f2fs but zero exercising during virtual 
meetings.  Now the next WG meeting is a click away, not steps away.

Moreover, we had an email list ietf-runners that did see some activity 
during f2f meetings.  But zero activity when IETF is virtual.

During the virtual meetings, some people did use the expression of 
getting in the pink box, but that was just an image.  If we had a sort 
of a conveyor belt (tapis roulant, fr.) to walk on, or even to stand on, 
before taking the mic, maybe it would be good.)

Alex

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 25 Nov 2020 10:15:39 -0600

> before taking the mic, maybe it would be good.)
I agree with you
but exercising is not in scope, Alex.

Behcet

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 25 Nov 2020 17:23:59 +0100

Le 25/11/2020 à 17:15, Behcet Sarikaya a écrit :
> 
> 
> On Tue, Nov 24, 2020 at 4:36 PM Alexandre Petrescu 
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
> 
>      >> Il 23/11/2020 04:47 Michael Richardson <[email-masked]
>     <mailto:[email-masked]>> ha
>      >> scritto:
>      >>
>     [...]

Clarification - I did not mean to put exercise in scope.  Maybe 
'standing' is a possibility - if one wants to speak then one could stand 
to be better seen.  Standing in a pink box is not good, because 
constrained; but standing when talking might be good.  Standing when 
talking might be easily reproducible in a remote manner.

I meant to say that in order to make virtual meetings more accommodating 
it would be good to make them approach as much as possible the way in 
which real meetings happen.

i think there are many ingredients to achieve that, and not necessarily 
exercising.

There are other ways, such as a requirement to send the videos of all 
permanently.  In a f2f meeting everyone is visible to everyone else.

Tele-presence in the form of holography is probably an ideal 
implementation, but we are not there yet.

Alex

>     <https://www.ietf.org/mailman/listinfo/manycouches>
>

---

From: Michael Richardson <[email-masked]>
Date: Wed, 25 Nov 2020 17:59:12 -0500

> I don't think you can change the perception of the time commitment just
    > by mangling the appearance of the schedule - either the people around
    > you get it, ot they don't.  Unfortunately, for physical meetings in
    > remote locations, everyone understands that travel and jetlag recovery
    > time is necessary, but it's not the same if you stay home and "only"
    > wake up and go to sleep at "weird" times.

Yes, so we really really need to fix this expectation from employers that
remote meetings are not travel.

    > In my case, the IETF meeting happened 6am-noon every day; this involved
    > a very early wakeup, but in no way it would allow me not to work until
    > 6pm as usual (even later if necessary), not to have dinner at home at
    > "regular" times, and so on.  Last Monday, for example, I was booked as
    > a panelist in a session of the U.N. Internet Governance Forum (which
    > was held in parallel in CET) scheduled at 6:20-7:30pm my time.

I'm sorry to hear of that experience.

    > So, basically, "remote IETF" just meant up-to-14-hour-long working
    > days, definitely less productive than usual, for a week - and I don't
    > see any easy way to avoid this, except getting back to physical
    > meetings.

---

From: Michael Richardson <[email-masked]>
Date: Wed, 25 Nov 2020 18:07:27 -0500

> or when we get back to a partial-f2f/lots-of-remotes

The IETF used to have opening (monday 9am) and closing (thursday afternoon)
plenaries.  A long time ago.  We killed them pretty soon after I started.

I found that the end of the meeting on Friday after the last session rather
anti-climatic!  Just "click" we are done.

I was thinking about whether one way to build in some personal recovery time
into the schedule would be to plan a closing plenary on day six.
Basically an event that many people might skip, but don't feel obliged to
tell your boss that!  I didn't write that down because I didn't think such a
thing would go well.

With a f2f meeting, many of us sort of mope about the hotel bar after we
checkout Friday morning.  Often we don't have flights until a few hours
later, sometimes Friday at 22:00 or something.

It's basically semi-social rest time.
Then that worst case ~30 hour flight home.

. o O {If you aren't on a 30hr flight home, then you didn't change that many time
zones, so maybe you don't need that much recovery...}

(I'm told the IESG often has a meeting then. Did they this week?)

---

From: Stephen Farrell <[email-masked]>
Date: Wed, 25 Nov 2020 23:20:39 +0000

Hiya,

> (I'm told the IESG often has a meeting then. Did they this week?)

There's a joint iesg/iab wrap-up meeting usually just
after the last Friday session. We did that the following
Monday this time.

S.

---

From: Michael Richardson <[email-masked]>
Date: Wed, 25 Nov 2020 19:30:12 -0500

> after the last Friday session. We did that the following

Did NA IAB/IESG members plan for this by starting their day at just prior to 0600UTC?
  (i.e. sleeping until 11pm for EST, until 7pm for PST)
  In that case, it wasn't at the very end of their day, but maybe in the middle.

Or would they have preferred to go to sleep after the last Friday session?
  (They had been up since perhaps 2000UTC )
  Any comments on how this felt for people who were beyond the very end of their day?

---

From: Michael Richardson <[email-masked]>
Date: Sat, 28 Nov 2020 02:46:02 -0500

> Nice draft covering many important topics. Thanks for writing it.

I would like a co-author (or two).
Ideally someone who disagrees with me.
I don't know how much effort I'm willing to put into this document.

    > Some additional comments,

I have made a few small edits based upon your comments.

I have added an IETF109 section.  I'm sure that many will have commits.
Pull requests at: github.com:mcr/how-many-fine-dinners.git

WG chairs: I stated my opinion here as I was asked to.
I'm 80% happy with the arrangement that we have.
Or to put it in RFC7282 (Consensus/Humming) terms:
   I do not prefer the current situtation, but I can live with it.

---

From: Michael Richardson <[email-masked]>
Date: Sat, 28 Nov 2020 03:12:58 -0500

> encouraging interims for the reasons above.

I kind of like the idea of a random start time.  Would it include time zones
in the middle of the Pacific?

But, I haven't seen the it be random yet, nor have I seen it actually
respect the timezone of the cancelled location.

Had we used a 9am start for IETF109, for instance, it would have been much
nicer to the Pacific coast people: the meeting would have been over before midnight.
Yes, it would have been crueler to Europeans, but the last two meetings have
been very nice to them, and being in the middle, they are most accomodated by
random start time.

If we can recognize that WGs are in the weeds then we can help them.
Having them meet during IETF week may be a thing that could help them.
(even if the time zone is inconvenient)
{Tourists that don't take up mic time are free}

I am concerned about ADs that might feel that they have to attend these
virtual interims.   Watching it on youtube at 2x speed is sometimes as good
as being there.

    > model to be far more disruptive than the alternatives.

I agree that the 11am meeting every day is a serious problem for many.

    > was "longer sessions", so your mileage may vary.

Maybe we should have standard tooling to allow participants rate each presentation.
It should include ability to say, "More time was needed", "it was a waste of time"
This is feedback to the chairs.

I have added the following text based upon your comments and those of Alissa
at the mic:

...

 2. frequent participant-time-zone optimized
 3. typically occur at twice-monthly to monthly intervals appropriate for getting work done.

There is a significant self-selection problem with virtual interims and participants.

In groups where the use of virtual interim meetings are used a lot, the
choice of time zone in which to hold the virtual interim meeting can
determine who attends.

When the virtual interim time zone selects against participants from a
particular part of the world then they tend to participant less.
If the working group then does a poll of participants as to what time zone to
use, then having lost participants from the less popular time zone, the
result is likely to reinforce this selection.

This suggests that virtual interim meeting time zones should not *always* be
chosen according to popularity (such as "doodle" poll).
But, at the same time, a working group which is highly focused and doing good
work should be forced to work at inconvenient times.

There is a definite tussle here!

The IESG is encouraged to find ways to insert some variation in meeting time.
This needs to be done with care, and with some amount of sharing of the pain
among different working groups as well.

#### 1500UTC

The 1500 Central European time (in whichever Daylight Savings is active),
corresponds to 7AM Pacific, 10AM Eastern, 2PM (UK), 3PM (Paris), 4PM
(Helsinki), and 10PM Beijing.

This time period is used for IESG Thursday meetings, and is popular because
it accomodating to many participants.

It is hostile to Eastern Australia, New Zealand and Hawaii participants.
Fundamentally, the lack of people who live in the Pacific ocean biases the
time zones to those which are daytime in Europe, which is essentially in the
middle.

It is therefore difficult to "share the pain" --- those at the extremes
(Pacific North America, and Asia/Pacific) will find the times picked to
almost always be annoying.

To be clear: while a meeting could be planned for early evening (16:00) in
San Jose, which is early morning in Tokyo (9AM), it would be outside of
office hours, or even night for most everyone else in the world.

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Michael Richardson <[email-masked]>
Date: Sat, 28 Nov 2020 03:16:21 -0500

> However, I think the balance today between interim and non-interim is about

Something that I'd like to push back on is status reports.

In PARTICULAR I was asked to do status slides for some WGs where we'd had a
recent virtual interim at which the status was already reported, and really the
slides were identical.

At some level this is basically accomodating tourists who were not reading
the ML.  A another level, this is accomodating those who won't get travel
authorization unless they are presenting.
I don't mind some of this at in-person meetings, but it seems redundant at a
virtual meeting.

---

From: Michael Richardson <[email-masked]>
Date: Sat, 28 Nov 2020 03:22:31 -0500

A new version of I-D, draft-richardson-shmoo-how-many-fine-dinners-02.txt
has been successfully submitted by Michael Richardson and posted to the
IETF repository.

Name:		draft-richardson-shmoo-how-many-fine-dinners
Revision:	02
Title:		How often and how long should IETF virtual meetings be?
Document date:	2020-11-28
Group:		Individual Submission
Pages:		9
URL:            https://www.ietf.org/archive/id/draft-richardson-shmoo-how-many-fine-dinners-02.txt
Status:         https://datatracker.ietf.org/doc/draft-richardson-shmoo-how-many-fine-dinners/
Html:           https://www.ietf.org/archive/id/draft-richardson-shmoo-how-many-fine-dinners-02.html
Htmlized:       https://tools.ietf.org/html/draft-richardson-shmoo-how-many-fine-dinners-02
Diff:           https://www.ietf.org/rfcdiff?url2=draft-richardson-shmoo-how-many-fine-dinners-02